SiServerEntry (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler.model

## Class SiServerEntry

- java.lang.Object
- - org.gcube.portal.istischeduler.model.SiServerEntry

-     public class SiServerEntry
      extends Object

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiServerEntry(String dbName, String desc, String hostName, String port, String user, String password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDbName()`
    `String` | `getDesc()`
    `String` | `getHostName()`
    `String` | `getPassword()`
    `String` | `getPort()`
    `String` | `getUser()`
    `void` | `setDbName(String dbName)`
    `void` | `setDesc(String desc)`
    `void` | `setHostName(String hostName)`
    `void` | `setPassword(String password)`
    `void` | `setPort(String port)`
    `void` | `setUser(String user)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SiServerEntry

          public SiServerEntry(String dbName,
                       String desc,
                       String hostName,
                       String port,
                       String user,
                       String password)

  - ### Method Detail

    - #### getDbName

          public String getDbName()

    - #### setDbName

          public void setDbName(String dbName)

    - #### getDesc

          public String getDesc()

    - #### setDesc

          public void setDesc(String desc)

    - #### getHostName

          public String getHostName()

    - #### setHostName

          public void setHostName(String hostName)

    - #### getPort

          public String getPort()

    - #### setPort

          public void setPort(String port)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.